using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 查询类接口定义
    /// </summary>
    public class SelectJoinID
    {
        [Key]
        [DisplayName("内码")]
        public int FID { get; set; }
        [DisplayName("接口名称")]
        public int FFunctionID { get; set; } 
        [DisplayName("查询类型")]
        [StringLength(80)]
        public string FDocType { get; set; } = string.Empty;
        [DisplayName("查询参数")]
        [StringLength(80)]
        public string FOptcode { get; set; } = string.Empty; //每个参数之间用'|'隔开，如果需要转义格式（A=B|C=D）代表第一个参数传入的是A，查询的是B；第二个参数传入的是C，查询的是D。
        [ForeignKey("FFunctionID")]
        public FunctionList functions { get; set; } 
    }
}
